package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishLocationSubmits;
import com.ruoyi.syzy.dto.ZytbBatch;

/**
 * 地区批次录取分数线Service接口
 *
 * @author mingxue
 * @date 2021-08-19
 */
public interface IBBusiWishLocationSubmitsService {

    /**
     * 地域
     *
     * @return
     */
    public List<String> locations();

    /**
     * 录取年份
     *
     * @param location
     * @return
     */
    public List<String> years(String location);
    public List<String> yearsNoStatus(String location);

    /**
     * 查询地区批次录取分数线
     *
     * @param id 地区批次录取分数线ID
     * @return 地区批次录取分数线
     */
    public BBusiWishLocationSubmits selectBBusiWishLocationSubmitsById(Long id);

    /**
     * 查询地区批次录取分数线列表
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 地区批次录取分数线集合
     */
    public List<BBusiWishLocationSubmits> selectBBusiWishLocationSubmitsList(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 新增地区批次录取分数线
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 结果
     */
    public int insertBBusiWishLocationSubmits(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 修改地区批次录取分数线
     *
     * @param bBusiWishLocationSubmits 地区批次录取分数线
     * @return 结果
     */
    public int updateBBusiWishLocationSubmits(BBusiWishLocationSubmits bBusiWishLocationSubmits);

    /**
     * 批量删除地区批次录取分数线
     *
     * @param ids 需要删除的地区批次录取分数线ID
     * @return 结果
     */
    public int deleteBBusiWishLocationSubmitsByIds(Long[] ids);

    /**
     * 删除地区批次录取分数线信息
     *
     * @param id 地区批次录取分数线ID
     * @return 结果
     */
    public int deleteBBusiWishLocationSubmitsById(Long id);

    /**
     * 根据提交的成绩返回填报批次
     * @param location
     * @param score
     * @param mode
     * @return
     */
    public List<ZytbBatch> batches(String location, Float score, String mode);

    public List<BBusiWishLocationSubmits> examMajors(String location);
}
